LFR-FSW - Bug #60

Le champ PA_LFR_ACQUISITION_TIME de TM_LFR_SCIENCE_BURST_CWF_F2 est erroné
20/02/2014 06:18 PM - Gerald Saule

Status: Closed Start date: 20/02/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

Le champ PA_LFR_ACQUISITION_TIME de TM_LFR_SCIENCE_BURST_CWF_F2 est erroné:

-Il ne semble pas lié a TIME; pour chaque salve de 8 TM_LFR_SCIENCE_BURST_CWF_F2, on attend une valeur unique
(légérement) inférieure a celle de TIME.

-La salve de 17:31:50.6 est datée "antérieure" a celle de 17:31:40.1, ce qui n'est pas plausible.

A priori, il ne s'agit que d'un pb a la construction du contenu des TM_LFR_SCIENCE_BURST_CWF_F2.

En revanche, la période des TM_LFR_SCIENCE_BURST_CWF_F2 est fonctionnellement correctement implémentées; les mesures
faites par I'norloge du PC (potentiellement dégradées par d'éventuelles variations de charge CPU) sont tres satisfaisantes.

Le champ TIME est tout a fait vraisemblable.

17:31:40.143644, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1739, TIME=0x7392b,
PA_LFR_ACQUISITION_TIME=0x1400f5

17:31:40.153124, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1740, TIME=0x73936,
PA LFR_ACQUISITION_TIME=0x1400f5

17:31:40.162204, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1741, TIME=0x73940,
PA LFR_ACQUISITION_TIME=0x1400f5

17:31:40.170941, TM_LFR_SCIENCE_BURST_CWF_F2, SEQUENCE_CNT=1742, TIME=0x73948,
PA_LFR_ACQUISITION_TIME=0x1400f5

17:31:40.181347, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1743, TIME=0x73950,
PA_LFR_ACQUISITION_TIME=0x1400f5

17:31:40.188468, TM_LFR_SCIENCE_BURST CWF _F2, SEQUENCE_CNT=1744, TIME=0x73959,
PA LFR_ACQUISITION_TIME=0x1400f5

17:31:40.197878, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1745, TIME=0x73961,
PA LFR_ACQUISITION_TIME=0x1400f5

17:31:40.205386, TM_LFR_SCIENCE_BURST_CWF_F2, SEQUENCE_CNT=1746, TIME=0x73969,
PA_LFR_ACQUISITION_TIME=0x1400f5

()

17:31:50.643548, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1747, TIME=0x11b92b,
PA_LFR_ACQUISITION_TIME=0x73a12

17:31:50.653128, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1748, TIME=0x11b936,
PA LFR_ACQUISITION_TIME=0x73a12

17:31:50.66027, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1749, TIME=0x110b940,
PA_LFR_ACQUISITION_TIME=0x73a12

17:31:50.670481, TM_LFR_SCIENCE_BURST_CWF_F2, SEQUENCE_CNT=1750, TIME=0x11b948,
PA_LFR_ACQUISITION_TIME=0x73a12

17:31:50.677548, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1751, TIME=0x11b950,
PA_LFR_ACQUISITION_TIME=0x73a12

17:31:50.68816, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1752, TIME=0x110b959,
PA_LFR_ACQUISITION_TIME=0x73a12

17:31:50.69576, TM_LFR_SCIENCE_BURST CWF_F2, SEQUENCE_CNT=1753, TIME=0x110b961,
PA_LFR_ACQUISITION_TIME=0x73a12

17:31:50.705299, TM_LFR_SCIENCE_BURST_CWF_F2, SEQUENCE_CNT=1754, TIME=0x11b969,
PA_LFR_ACQUISITION_TIME=0x73a12

(Pour la plage, 17:31:28-17:31:51, le LFR est en mode BURST)
F(TM_LFR_SCIENCE_BURST_CWF_F2): nom=256.0Hz, res=256.002340593/s
T(TM_LFR_SCIENCE_BURST_CWF_F2): nom=10.5s, mean=10.499904s
T(.../PA_LFR_ACQUISITION_TIME): mean=-12.7769012451s

Contexte:
LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0003

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 21/02/2014 03:41 PM - paul leroy

- Status changed from New to Resolved

Bug identifié et corrigé. rev >= 1.0.0.2

#2 - 10/03/2014 10:32 AM - Gerald Saule
- File 2014_03_05-17_34_25-Detail.txt added
- Status changed from Resolved to Closed

- revision changed from r98 to r104

Les champs TIME et PA_LFR_ACQUISITION_TIME sont désormais cohérents avec la datation par I'horloge du PC malgré les imprécisions possible

de cette référence (on observe un écart de quelques ms.
Aucune anomalie est vue au sujet de cette issue. Exemple de traces pour chaque début de salve:

16:12:38.77679, TM_LFR_SCIENCE_BURST_CWF_F2, TIME=0x8000088f7f1b, PA_LFR_ACQUISITION_TIME=0x800008850000

16:25:30.772753, TM_LFR_SCIENCE_BURST CWF_F2, TIME=0x80000b937f1b, PA_LFR_ACQUISITION_TIME=0x80000b890000
16:38:23.770204, TM_LFR_SCIENCE_BURST CWF_F2, TIME=0x80000e987f1b, PA_LFR_ACQUISITION_TIME=0x80000e8€0000
16:51:16.766758, TM_LFR_SCIENCE_BURST_CWF_F2, TIME=0x8000119d7f1b, PA_LFR_ACQUISITION_TIME=0x800011930000
16:57:42.765296, TM_LFR_SCIENCE_BURST CWF_F2, TIME=0x8000131f7f1b, PA_LFR_ACQUISITION_TIME=0x800013150000

=>Cette issue peut étre fermée. check.png

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_VHDLib206 (Carte mini-LFR)
Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

Files
2014_03_05-17_34_25-Detail.txt 24.2 VB 10/03/2014 Gerald Saule
